# Class WalletsClient

#### Hierarchy

- WalletsClient

- Defined in src/protobuf/GrpcServiceClientPb.ts:3113

#####
Index

### Constructors

constructor

### Properties

client_
credentials_
hostname_
methodDescriptorCreateXmrTx
methodDescriptorGetAddressBalance
methodDescriptorGetBalances
methodDescriptorGetFundingAddresses
methodDescriptorGetXmrNewSubaddress
methodDescriptorGetXmrPrimaryAddress
methodDescriptorGetXmrSeed
methodDescriptorGetXmrTxs
methodDescriptorLockWallet
methodDescriptorRemoveWalletPassword
methodDescriptorSetWalletPassword
methodDescriptorUnlockWallet
methodDescriptorrelayXmrTx
options_

### Methods

createXmrTx
getAddressBalance
getBalances
getFundingAddresses
getXmrNewSubaddress
getXmrPrimaryAddress
getXmrSeed
getXmrTxs
lockWallet
relayXmrTx
removeWalletPassword
setWalletPassword
unlockWallet

## Constructors

### constructor

- new WalletsClient(hostname: string, credentials?: null | {
  [index: string]: string;
  }, options?: null | {
  [index: string]: any;
  }): WalletsClient

- #### Parameters

  - ##### hostname: string

  - ##### `Optional` credentials: null | {
    [index: string]: string;
    }

  - ##### `Optional` options: null | {
    [index: string]: any;
    }

  #### Returns WalletsClient

  - Defined in src/protobuf/GrpcServiceClientPb.ts:3119

## Properties

### client_

client_: AbstractClientBase

- Defined in src/protobuf/GrpcServiceClientPb.ts:3114

### credentials_

credentials_: null | {
[index: string]: string;
}

- Defined in src/protobuf/GrpcServiceClientPb.ts:3116

### hostname_

hostname_: string

- Defined in src/protobuf/GrpcServiceClientPb.ts:3115

### methodDescriptorCreateXmrTx

methodDescriptorCreateXmrTx: MethodDescriptor<CreateXmrTxRequest, CreateXmrTxReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:3347

### methodDescriptorGetAddressBalance

methodDescriptorGetAddressBalance: MethodDescriptor<GetAddressBalanceRequest, GetAddressBalanceReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:3433

### methodDescriptorGetBalances

methodDescriptorGetBalances: MethodDescriptor<GetBalancesRequest, GetBalancesReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:3132

### methodDescriptorGetFundingAddresses

methodDescriptorGetFundingAddresses: MethodDescriptor<GetFundingAddressesRequest, GetFundingAddressesReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:3476

### methodDescriptorGetXmrNewSubaddress

methodDescriptorGetXmrNewSubaddress: MethodDescriptor<GetXmrNewSubaddressRequest, GetXmrNewSubaddressReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:3261

### methodDescriptorGetXmrPrimaryAddress

methodDescriptorGetXmrPrimaryAddress: MethodDescriptor<GetXmrPrimaryAddressRequest, GetXmrPrimaryAddressReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:3218

### methodDescriptorGetXmrSeed

methodDescriptorGetXmrSeed: MethodDescriptor<GetXmrSeedRequest, GetXmrSeedReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:3175

### methodDescriptorGetXmrTxs

methodDescriptorGetXmrTxs: MethodDescriptor<GetXmrTxsRequest, GetXmrTxsReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:3304

### methodDescriptorLockWallet

methodDescriptorLockWallet: MethodDescriptor<LockWalletRequest, LockWalletReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:3605

### methodDescriptorRemoveWalletPassword

methodDescriptorRemoveWalletPassword: MethodDescriptor<RemoveWalletPasswordRequest, RemoveWalletPasswordReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:3562

### methodDescriptorSetWalletPassword

methodDescriptorSetWalletPassword: MethodDescriptor<SetWalletPasswordRequest, SetWalletPasswordReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:3519

### methodDescriptorUnlockWallet

methodDescriptorUnlockWallet: MethodDescriptor<UnlockWalletRequest, UnlockWalletReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:3648

### methodDescriptorrelayXmrTx

methodDescriptorrelayXmrTx: MethodDescriptor<RelayXmrTxRequest, RelayXmrTxReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:3390

### options_

options_: null | {
[index: string]: any;
}

- Defined in src/protobuf/GrpcServiceClientPb.ts:3117

## Methods

### createXmrTx

- createXmrTx(request: CreateXmrTxRequest, metadata?: null | Metadata): Promise<CreateXmrTxReply>

- #### Parameters

  - ##### request: CreateXmrTxRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<CreateXmrTxReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:3358
- createXmrTx(request: CreateXmrTxRequest, metadata: null | Metadata, callback: ((err: RpcError, response: CreateXmrTxReply) => void)): ClientReadableStream<CreateXmrTxReply>

- #### Parameters

  - ##### request: CreateXmrTxRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: CreateXmrTxReply) => void)

    - - (err: RpcError, response: CreateXmrTxReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: CreateXmrTxReply

        #### Returns void

  #### Returns ClientReadableStream<CreateXmrTxReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:3362

### getAddressBalance

- getAddressBalance(request: GetAddressBalanceRequest, metadata?: null | Metadata): Promise<GetAddressBalanceReply>

- #### Parameters

  - ##### request: GetAddressBalanceRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<GetAddressBalanceReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:3444
- getAddressBalance(request: GetAddressBalanceRequest, metadata: null | Metadata, callback: ((err: RpcError, response: GetAddressBalanceReply) => void)): ClientReadableStream<GetAddressBalanceReply>

- #### Parameters

  - ##### request: GetAddressBalanceRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: GetAddressBalanceReply) => void)

    - - (err: RpcError, response: GetAddressBalanceReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: GetAddressBalanceReply

        #### Returns void

  #### Returns ClientReadableStream<GetAddressBalanceReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:3448

### getBalances

- getBalances(request: GetBalancesRequest, metadata?: null | Metadata): Promise<GetBalancesReply>

- #### Parameters

  - ##### request: GetBalancesRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<GetBalancesReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:3143
- getBalances(request: GetBalancesRequest, metadata: null | Metadata, callback: ((err: RpcError, response: GetBalancesReply) => void)): ClientReadableStream<GetBalancesReply>

- #### Parameters

  - ##### request: GetBalancesRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: GetBalancesReply) => void)

    - - (err: RpcError, response: GetBalancesReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: GetBalancesReply

        #### Returns void

  #### Returns ClientReadableStream<GetBalancesReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:3147

### getFundingAddresses

- getFundingAddresses(request: GetFundingAddressesRequest, metadata?: null | Metadata): Promise<GetFundingAddressesReply>

- #### Parameters

  - ##### request: GetFundingAddressesRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<GetFundingAddressesReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:3487
- getFundingAddresses(request: GetFundingAddressesRequest, metadata: null | Metadata, callback: ((err: RpcError, response: GetFundingAddressesReply) => void)): ClientReadableStream<GetFundingAddressesReply>

- #### Parameters

  - ##### request: GetFundingAddressesRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: GetFundingAddressesReply) => void)

    - - (err: RpcError, response: GetFundingAddressesReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: GetFundingAddressesReply

        #### Returns void

  #### Returns ClientReadableStream<GetFundingAddressesReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:3491

### getXmrNewSubaddress

- getXmrNewSubaddress(request: GetXmrNewSubaddressRequest, metadata?: null | Metadata): Promise<GetXmrNewSubaddressReply>

- #### Parameters

  - ##### request: GetXmrNewSubaddressRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<GetXmrNewSubaddressReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:3272
- getXmrNewSubaddress(request: GetXmrNewSubaddressRequest, metadata: null | Metadata, callback: ((err: RpcError, response: GetXmrNewSubaddressReply) => void)): ClientReadableStream<GetXmrNewSubaddressReply>

- #### Parameters

  - ##### request: GetXmrNewSubaddressRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: GetXmrNewSubaddressReply) => void)

    - - (err: RpcError, response: GetXmrNewSubaddressReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: GetXmrNewSubaddressReply

        #### Returns void

  #### Returns ClientReadableStream<GetXmrNewSubaddressReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:3276

### getXmrPrimaryAddress

- getXmrPrimaryAddress(request: GetXmrPrimaryAddressRequest, metadata?: null | Metadata): Promise<GetXmrPrimaryAddressReply>

- #### Parameters

  - ##### request: GetXmrPrimaryAddressRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<GetXmrPrimaryAddressReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:3229
- getXmrPrimaryAddress(request: GetXmrPrimaryAddressRequest, metadata: null | Metadata, callback: ((err: RpcError, response: GetXmrPrimaryAddressReply) => void)): ClientReadableStream<GetXmrPrimaryAddressReply>

- #### Parameters

  - ##### request: GetXmrPrimaryAddressRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: GetXmrPrimaryAddressReply) => void)

    - - (err: RpcError, response: GetXmrPrimaryAddressReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: GetXmrPrimaryAddressReply

        #### Returns void

  #### Returns ClientReadableStream<GetXmrPrimaryAddressReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:3233

### getXmrSeed

- getXmrSeed(request: GetXmrSeedRequest, metadata?: null | Metadata): Promise<GetXmrSeedReply>

- #### Parameters

  - ##### request: GetXmrSeedRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<GetXmrSeedReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:3186
- getXmrSeed(request: GetXmrSeedRequest, metadata: null | Metadata, callback: ((err: RpcError, response: GetXmrSeedReply) => void)): ClientReadableStream<GetXmrSeedReply>

- #### Parameters

  - ##### request: GetXmrSeedRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: GetXmrSeedReply) => void)

    - - (err: RpcError, response: GetXmrSeedReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: GetXmrSeedReply

        #### Returns void

  #### Returns ClientReadableStream<GetXmrSeedReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:3190

### getXmrTxs

- getXmrTxs(request: GetXmrTxsRequest, metadata?: null | Metadata): Promise<GetXmrTxsReply>

- #### Parameters

  - ##### request: GetXmrTxsRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<GetXmrTxsReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:3315
- getXmrTxs(request: GetXmrTxsRequest, metadata: null | Metadata, callback: ((err: RpcError, response: GetXmrTxsReply) => void)): ClientReadableStream<GetXmrTxsReply>

- #### Parameters

  - ##### request: GetXmrTxsRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: GetXmrTxsReply) => void)

    - - (err: RpcError, response: GetXmrTxsReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: GetXmrTxsReply

        #### Returns void

  #### Returns ClientReadableStream<GetXmrTxsReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:3319

### lockWallet

- lockWallet(request: LockWalletRequest, metadata?: null | Metadata): Promise<LockWalletReply>

- #### Parameters

  - ##### request: LockWalletRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<LockWalletReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:3616
- lockWallet(request: LockWalletRequest, metadata: null | Metadata, callback: ((err: RpcError, response: LockWalletReply) => void)): ClientReadableStream<LockWalletReply>

- #### Parameters

  - ##### request: LockWalletRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: LockWalletReply) => void)

    - - (err: RpcError, response: LockWalletReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: LockWalletReply

        #### Returns void

  #### Returns ClientReadableStream<LockWalletReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:3620

### relayXmrTx

- relayXmrTx(request: RelayXmrTxRequest, metadata?: null | Metadata): Promise<RelayXmrTxReply>

- #### Parameters

  - ##### request: RelayXmrTxRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<RelayXmrTxReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:3401
- relayXmrTx(request: RelayXmrTxRequest, metadata: null | Metadata, callback: ((err: RpcError, response: RelayXmrTxReply) => void)): ClientReadableStream<RelayXmrTxReply>

- #### Parameters

  - ##### request: RelayXmrTxRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: RelayXmrTxReply) => void)

    - - (err: RpcError, response: RelayXmrTxReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: RelayXmrTxReply

        #### Returns void

  #### Returns ClientReadableStream<RelayXmrTxReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:3405

### removeWalletPassword

- removeWalletPassword(request: RemoveWalletPasswordRequest, metadata?: null | Metadata): Promise<RemoveWalletPasswordReply>

- #### Parameters

  - ##### request: RemoveWalletPasswordRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<RemoveWalletPasswordReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:3573
- removeWalletPassword(request: RemoveWalletPasswordRequest, metadata: null | Metadata, callback: ((err: RpcError, response: RemoveWalletPasswordReply) => void)): ClientReadableStream<RemoveWalletPasswordReply>

- #### Parameters

  - ##### request: RemoveWalletPasswordRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: RemoveWalletPasswordReply) => void)

    - - (err: RpcError, response: RemoveWalletPasswordReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: RemoveWalletPasswordReply

        #### Returns void

  #### Returns ClientReadableStream<RemoveWalletPasswordReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:3577

### setWalletPassword

- setWalletPassword(request: SetWalletPasswordRequest, metadata?: null | Metadata): Promise<SetWalletPasswordReply>

- #### Parameters

  - ##### request: SetWalletPasswordRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<SetWalletPasswordReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:3530
- setWalletPassword(request: SetWalletPasswordRequest, metadata: null | Metadata, callback: ((err: RpcError, response: SetWalletPasswordReply) => void)): ClientReadableStream<SetWalletPasswordReply>

- #### Parameters

  - ##### request: SetWalletPasswordRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: SetWalletPasswordReply) => void)

    - - (err: RpcError, response: SetWalletPasswordReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: SetWalletPasswordReply

        #### Returns void

  #### Returns ClientReadableStream<SetWalletPasswordReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:3534

### unlockWallet

- unlockWallet(request: UnlockWalletRequest, metadata?: null | Metadata): Promise<UnlockWalletReply>

- #### Parameters

  - ##### request: UnlockWalletRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<UnlockWalletReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:3659
- unlockWallet(request: UnlockWalletRequest, metadata: null | Metadata, callback: ((err: RpcError, response: UnlockWalletReply) => void)): ClientReadableStream<UnlockWalletReply>

- #### Parameters

  - ##### request: UnlockWalletRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: UnlockWalletReply) => void)

    - - (err: RpcError, response: UnlockWalletReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: UnlockWalletReply

        #### Returns void

  #### Returns ClientReadableStream<UnlockWalletReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:3663

Generated using TypeDoc